#
# spec file for package adobe-sourcecodepro-fonts
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         roman_version 2.010
%define         italic_version  1.030

Name:           adobe-sourcecodepro-fonts
%define _name   SourceCodePro
Version:        %{roman_version}
Release:        17.1
Summary:        A set of OpenType fonts designed for coding environments
License:        OFL-1.1
Group:          System/X11/Fonts
Url:            http://sourceforge.net/projects/sourcecodepro.adobe
Source:         %{italic_version}R-it.tar.gz
Source1:        adobe-sourcecodepro-fonts.metainfo.xml
Obsoletes:      SourceCodePro-fonts < %version-%release
Provides:       SourceCodePro-fonts = %version-%release
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Source Code is a set of monospaced OpenType fonts that have been designed to
work well with coding environments. This family of fonts is a complementary
design to the Source Sans family.

%prep
%setup -q -n source-code-pro-%{roman_version}R-ro-%{italic_version}R-it
# Fix line endings
sed -i 's/\r$//g' LICENSE.txt
chmod a-x LICENSE.txt README.md

%build

%install
install -d %{buildroot}%{_ttfontsdir}
# by default install command uses 755 umask
install -m 644 OTF/*.otf TTF/*.ttf %{buildroot}%{_ttfontsdir}
install -d -m0755  %{buildroot}%{_datadir}/appdata
install -D -m0644 %{S:1} %{buildroot}%{_datadir}/appdata/

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%doc LICENSE.txt README.md
%dir %{_datadir}/appdata
%{_datadir}/appdata/adobe-sourcecodepro-fonts.metainfo.xml
%dir %{_ttfontsdir}
%{_ttfontsdir}/*

%changelog
* Fri Jul 24 2015 robert.munteanu@gmail.com
- Update to version 2.010 ( roman fonts ) / 1.030 ( italic fonts )
  * Adds italic styles to family. (GitHub issue #6)
  * Adds Powerline symbols. (GitHub issue #43)
  * Adds mathematical operators specifically requested to date.
    (GitHub issue #49)
  * Adds geometric shapes specifically requested to date. (GitHub
    issue #51)
  * Changes vendor ID from ADBE to ADBO. (GitHub issue #80)
  * Updates name table to remove full license text. (GitHub
    issue #83)
  * Increases length of em dash. (GitHub issue #85)
  * Adds character variants features (ccXX).
  * Adds support for some extended Latin (IPA).
  * Adds characters to fully support WGL4 standard.
  * Adds characters that were missing for Arabic and Hebrew
    transliteration schemes.
  * Adds a few emoji characters.
  * Adds SVG colored versions of some characters
  * Nudges the dot accent up to prevent from collapsing in CFF
    fonts.
  * Adjusts design and positioning of cedillas.
  * Updates the design of the following glyphs in intermediate
    weights, thanks to intermediate master: B, M, N, W, e, g,
    m, w, Bstroke, Hbar, Oslash, Tbar, Eth, ae, bstroke, dcroat,
    eogonek, hbar, oslash, oe, eth, zero.0, zero.0o, zero.0c,
    e.sups
  * Updates design of ringhalfleftmod, ringhalfrightmod.
  * [roman fonts only] Adds support for Greek and Cyrillic.
    (GitHub issues #48 & #85)
  * [roman fonts only] Adds alternate lowercase i with foot
    serifs (ss04 – stylistic set 4).
* Mon Apr 13 2015 dimstar@opensuse.org
- Add a metainfo.xml file for presence in AppStream metadata.
* Mon Jun 10 2013 fa0sck@gmail.com
- Install fonts without x-bit
* Thu Jan 17 2013 toms@opensuse.org
- Updated to version 1.017
  (No version update between 1.013 and 1.017)
  * Updates the design of the asterisk glyphs, bar, and broken bar.
  * Updates the hinting to the default asterisk in all styles.
  * Adds an new Medium weight to the font project.
  * Updates design of the following glyphs to center them within glyph height/width:
    . lighttrpldashhorzbxd
    . heavytrpldashhorzbxd
    . lighttrpldashvertbxd
    . heavytrpldashvertbxd
    . lightquaddashhorzbxd
    . heavyquaddashhorzbxd
    . lightquaddashvertbxd
    . heavyquaddashvertbxd
    . lightdbldashhorzbxd
    . heavydbldashhorzbxd
    . lightdbldashvertbxd
    . heavydbldashvertbxd
* Fri Dec  7 2012 robert.munteanu@gmail.com
- Updated to upstream version 1.013
  - Updates design of asterisk and hyphen to accommodate coders' preferences.
  - Realigns math and punctuation glyphs.
  - Adds a stylistic set (ss01) for typographic alternates.
  - Adds a stylistic set (ss04) for alternate dollar sign.
  - Adds a small number of IPA characters.
  - Adds box drawing characters and block elements.
* Tue Oct  2 2012 robert.munteanu@gmail.com
- Specfile cleanup
  - removed out-of-date comments
  - removed FIXME
* Tue Oct  2 2012 robert.munteanu@gmail.com
- Updated to upstream version 1.010
  - Fixed TrueType hinting problem in Bold ampersand.
* Fri Sep 28 2012 toms@opensuse.org
- Added Obsoletes and Provides
* Fri Sep 28 2012 toms@opensuse.org
- Renamed from SourceCodePro package, fixed .changes and .spec file
* Tue Sep 25 2012 robert.munteanu@gmail.com
- Fixed copyright header
* Tue Sep 25 2012 toms@opensuse.org
- Spec: Use %%{_ttfontsdir} macro instead of %%{_datadir}
- Fixed URL
* Tue Sep 25 2012 robert.munteanu@gmail.com
- Initial release based on version 1.009
